# Changelog
All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/), and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## [Unreleased]

### Changed

- **gamecore:** updated to 0.5.0

### Fixed

- **worldmap:** use gamecore 0.5.0-style key handling

- **levels:** use gamecore 0.5.0-style key handling

- **levels:** use the right drawing method for debris' texture

- **mainmenu:** draw the options menus over the main menu and not under. 

### Changed

- **levels:** assets are now loaded from an asset file

- **levels:** World is now a gamecore World2D derivative

- **levels:** Actors use now gamecore naming scheme


### Removed

- **main:** All functions already provided by gamecore have been removed.

- **libs:** All librairies provided by gamecore have been removed from the old `libs/` path.

## Imperium-Porcorum 0.0.1

- Initial pre-alpha released based on source status before starting port to gamecore 0.5.0
